Update a strategy

View as Markdown
Replace strategy configuration for a feature flag in the specified environment.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired
environmentstringRequired
strategyIdstringRequired

Request

updateFeatureStrategySchema
sortOrderdoubleOptional
The order of the strategy in the list in feature environment configuration
constraintslist of objectsOptional

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

titlestring or nullOptional
A descriptive title for the strategy
disabledboolean or nullOptional
A toggle to disable the strategy. defaults to true. Disabled strategies are not evaluated or returned to the SDKs
variantslist of objectsOptional
Strategy level variants
segmentslist of doublesOptional
A list of segment ids attached to the strategy
parametersmap from strings to stringsOptional
A list of parameters for a strategy
namestringOptionalDeprecated
The name of the strategy type. This property is deprecated and the ability to change a strategy's type will be removed in a future release.

Response

featureStrategySchema
namestring
The name or type of strategy
idstring
A uuid for the feature strategy
titlestring or null
A descriptive title for the strategy
disabledboolean or null
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs
featureNamestring
The name or feature the strategy is attached to
sortOrderdouble
The order of the strategy in the list
segmentslist of doubles
A list of segment ids attached to the strategy
constraintslist of objects

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objects
Strategy level variants
parametersmap from strings to strings
A list of parameters for a strategy

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error